### Constructor

# Vips Image analyzeload

#### Declaration [src]

    int
    vips_analyzeload (
      const char* filename,
      VipsImage** out,
      ...
    )

#### Description [src]

Load an Analyze 6.0 file. If `filename` is “fred.img”, this will look for an image header called “fred.hdr” and pixel data in “fred.img”. You can also load “fred” or “fred.hdr”.

Images are loaded lazilly and byte-swapped, if necessary. The Analyze metadata is read and attached.

See also

`vips_image_new_from_file()`.

This constructor is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `VipsImage`

  Decompressed image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.